<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{facilityType.idFacilityType}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><span><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</span></a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="!facilityType.idFacilityType">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="facilityType.idFacilityType" readonly />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.facilityType.description" for="field_description">Description</label>
                        <input type="text" class="form-control" name="description" id="field_description"
                            [(ngModel)]="facilityType.description"  />
                    </div>

                </div>
            </div>
        </div>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>